C------------------------------------------------------------------------
      Subroutine SMinit
C--Sets input parameters
      Include 'SMallx.inc'
      Integer nobran,ikincut
      common/myvar/nobran,ikincut
      Double Precision pbeam1,pbeam2
	Integer Iseed,minuts
	External minuts
	Double Precision Rdq,SMrgen
	Double Precision Ca
	Integer nf
      Double Precision Lambda,QQg	
	Common/hardme/Lambda,QQg,nf
	logical my_glu	
	common/glumy/my_glu
C for Sudakov (smqtem.f) B is fixed: B=0.5	
C choose BB: 0, 0.5 , 1.	
	Double Precision BB
	Common /splitting/ BB
	Integer Ipgg,ns_sel
	Double Precision scal 
	common/Pggsel/Ipgg,ns_sel,scal
	Double Precision Xnorm
      common/smnorm/ Xnorm
      Logical pdflib,quark,gluon,photon,saturation
      Common /SMbran2/pdflib,quark,gluon,photon,saturation
	Double Precision mz
	Data mz/91.188d0/
      Double Precision asbmy,test,pi
      external asbmy
	Logical First
	Common /SMstart/ First
      CHARACTER   FILENAME*132
      Common/gludatf/filename
	First = .true.


      write(6,*) ' 1st gluon = ',gluon
      if(photon) then
           gluon=.true.
        endif
        if(gluon) then
           quark=.false.
           else
           quark=.true.
        endif
        
      write(6,*) ' gluon = ',gluon
      powin=.true.
      BB=0.5
      scal = 1.	
      my_glu = .true.
	
c nobran = 0 --> standard initial state branching
c nobran = 1 --> no initial state branching
c nobran = 2 --> read ccfm.dat file
      nobran = 0
      write(6,*) ' smini: ikincut = ',ikincut,' QCDlam = ',QCDlam
      write(6,*) ' smini: Qg = ',Qg, ' Qs = ',Qs

      pow1=4.   ! F2 fit 
      pow0=0.0

      Xnor = Xnorm 

      Qx=Qs/Sqrt(2.)

      Maxpr=5
      Nmongo=27
C---Number of events
c      Nev=100000000 ! very long
      Nev=10000000 ! std
      Print *
      Print *,' Number of events requested:',Nev
C  LHC
C
      pbeam1=7000.
      pbeam2=7000.
C--Light quarks+ charm
      Qmas=0.25
	Ichg=4
      Idq=2

C--Set up beams: 1=electron, 2=proton
      p1(1)=0.
      p1(2)=0.
      p1(3)=-pbeam1
c      p1(5)=0.00051
      p1(5)=0.
      p1(4)=Sqrt(p1(3)**2+p1(5)**2)
      p2(1)=0.
      p2(2)=0.
      p2(3)=pbeam2
c      p2(5)=0.93827
      p2(5)=0.
      p2(4)=Sqrt(p2(3)**2+p2(5)**2)
      espec(5)=p1(5)
      pspec(5)=p2(5)
c      write(6,*) Sbig,p1(5)**2+p2(5)**2+2.*(p1(4)*p2(4)-p1(3)*p2(3))
      Sbig=p1(5)**2+p2(5)**2+2.*(p1(4)*p2(4)-p1(3)*p2(3))
C--Limit for branching
      Imax=1000
ccc	fixed xmin
	xymin = 1e-7
      xmin=xymin
      xmax=.9999999
C--y range (y=momentum fraction of virtual photon)
      ymin=xymin
      ymax=.9999999
C--Q range
      me=0.511E-3
      Qmin=ymin*me
      Qmax=sqrt(ymax*Sbig)
C  Min Q value
      Qmin=sqrt(1.)

C - now include also nf=4
      nf = 4
	QQg=Qg
	Lambda=QCDlam
	Ca = 3.
	Capb = 12.*Ca/(11*Ca - 2.*nf)
      Tg=Log(Qg/QCDLam)
      Tgg=Tg+Log(2.)
      Ts=Log(Qs/QCDLam)
      pi = 4.*atan(1.)

      Print *
      If (onel) then
        Print *,' Running alpha, Q-ordering => 1-loop'
      Else
        Print *,' Running alpha, Angle-ordering => all loops'
      Endif
      Print *
      Print *,' Qmax,Qg,Qs,QCDLam =',Qmax,Qg,Qs,QCDLam
      test=asbmy(mz)*pi/Ca
	write(6,*) ' alpha_s(m_z) = ',test
      Print *
      Print *,' Qmas,xmin =',Qmas,xmin
      Print *
      Jev=0
	Return
      End
	 
