C
C smqtem and szvalnew for full splitting function
C copy from fullsplitt.f:     
c
      Subroutine Szvalnew
C
C new version 20.5.2012
C
C--Chooses momentum fraction z for small-x branching
C  Cleaned-up version 24/10/91
C  All-loop has norm'n of small z part with no zmin
C  according to Kwiecinski Martin Sutton
C
C  changed hannes
C  All-loop has no non-sudakov normalisation
C  also alphas changed, now including cutoff for freezing alphas=0.6
C
C now also including non-singular terms according to Gavins proposal
C
C------------------------------------------------------------------------
      Include 'SMallx.inc'

      Common/gcom/g0,g1,gtot
      Double Precision asb,g0,g1,TQt,zmax,F,Ff,gtot,S2asb,arg
	Double Precision SMfreq,SMgsin,SMrgen
      Double Precision Fmin,Fmax
      Double Precision TQtp,Qlam0,xmin1
      Double Precision Pgtot,Pg1,Pg2
      Data Fmin,Fmax/0.0000001,0.9999999/
      Data Qlam0/0.71/
	Integer nsidx
	common /myns/nsidx
	Integer nf
      Double Precision Lambda,QQg	
	Common/hardme/Lambda,QQg,nf
	Real slo,shi,eps,g1p,g1f,g0p,g0f
	Double Precision g1_sudak,result
	Double Precision Splitt,z1,Splitt0,zz
	Double Precision gtotw
      Double Precision wz
      Common/smweights/wz
	Logical mytest
	Data mytest/.false./
	External g1p,Splitt
	External g0p,Splitt0
	
	Double Precision D_ns,asbold,asbold1
	Double Precision Qtemp,Capbp,QCDlamp
	Common/g1int/Qtemp,Capbp,QCDlamp,zmax
	Double Precision Qtem0,QQt0,xmin0,zmax0,Qg0
	Common/g0int/Qtem0,QQt0,xmin0,asbold,zmax0,Qg0
	Double Precision Nonsud0,Nonsud
	External Nonsud0,Nonsud
CCCCCCCCCCCCCCCCCCCCCCCCCC
C for Sudakov (smqtem.f) B is fixed: B=0.5	
C choose BB: 0, 0.5 , 1.	
	Double Precision BB
	Common /splitting/ BB
	Integer Ipgg,ns_sel
	Double Precision scal 
	common/Pggsel/Ipgg,ns_sel,scal

	Double Precision BBsave
	Double Precision asbmy
	External asbmy
	
	Double Precision alp_dns,as
	Integer Ismallz
	Common /smallz/ Ismallz,alp_dns,as
	
	Double Precision zmin
      Double Precision Dfreq,DGAUSN
      Double Precision zero
      
      Data zero/0d0/
		
	Logical First
	Data First/.True./
	Double Precision Cf,Ca
	Ca = 3d0
	Cf = 4d0/3d0

c this is alphas/(2pi) ala bryan
      TQt=Log(QQt/QCDLam)
c new try with min(QQt,Qlam0)	
	Qlam0 = Qg
      TQtp=Log((dmax1(QQt,Qlam0))**2/QCDLam**2)
      asb= Capb/TQtp

	If(First) Then
      BBsave = BB
	if(Ipgg.eq.1.or.Ipgg.eq.3) then 
	write(6,*) ' using full splitting function Pgg:',Ipgg
c	write(6,*) ' P = asb[(1-z)/z + (1-B)z(1-z)] Delta_ns +',
c     &' asb[z/(1-z) + Bz(1-z)] Delta_s'
	write(6,*) ' with B = ',BBsave
	else
	write(6,*) ' using sing part of splitting function Pgg:',Ipgg
	endif
	If(ns_sel.eq.-1) then
        write(6,*) ' Deltans is old standard one '
	elseif(ns_sel.eq.0) then
	  write(6,*) ' Deltans: as(k), sing parts, cut '
	elseif(ns_sel.eq.1) then
	  write(6,*) ' Deltans: as(k), full splitting, cut '
	elseif(ns_sel.eq.2) then
	  write(6,*) ' Deltans: as(q), sing parts, cut '
	elseif(ns_sel.eq.3) then
	  write(6,*) ' Deltans: as(q), full splitting, cut '
	endif
	write(6,*) ' new version: cutoff for asb = ',Qlam0
	write(6,*) ' asb =C_A/pi alpha_s ~ alpha_s '
	write(6,*) ' max asb = ',Capb/Log(Qlam0**2/QCDLam**2)
	First=.false.
	endif
CCCCCCCCCCCCCCCCCCCCCCCCCC
      BB = BBsave
c      write(6,*) ' szvalnew BB = ',BB
      Ismallz = 0
	alp_dns=1.	
	Wg=1.
	Wz=-99999.
	D_ns = 1.
C First get proper alphas
c asb = 2 Ca alphas/(2pi)
      asbold = asb    ! hannes new
      asbold1 = 0.5*Capb/Ttem
      if(Ipgg.ge.2) then
	  as= asbmy(scal*Qtem)
	else
	  as= asbmy(scal*QQt)
	endif
      alp_dns = as 	
	Qtemp=Qtem
	Qtem0=Qtem
	QQt0=QQt
	xmin0=xmin
	Capbp=Capb
	QCDlamp=QCDlam
      zmax=(1.-Qg/Qtem)
	zmax0 = zmax
	Qg0 = Qg
      g1 = 0.5*Capb*Log(Ttem/Tg)
      If (onel) then
	   zmin = xmin/xg
	   xmin0 = zmin
         If (zmax.gt.zmin) g0=asb*log(zmax/zmin)
         gtot=g0+g1
         If (SMrgen(1)*gtot.le.g1) then
            znow=1.-exp(Ttem*((Tg/Ttem)**SMrgen(2)-1.))
            z1=1.-znow            
	      asbold1= asbmy(Qtem*(1.-znow)) ! New 
	      wz = gtot/(asbold1/z1) ! hannes new    
	      gtotw = asbmy(scal*Qtem*(1.-znow))*Splitt(z1)*wz
         Else
            Nsoft=Nsoft+1
            znow=zmin*(zmax/zmin)**SMrgen(3)
	      wz = gtot/(asbold/znow)
	      gtotw = as*Splitt0(znow)*wz 
         Endif
      Else
         S2asb=Sqrt(2.*asb)
         arg=S2asb*(Ttem-TQt+Log(zmax))
         F=DFREQ(arg) ! changed because of numeric problems in SMFREQ
         if(QQt.ge.Qtem) then
            g0 = asb/S2asb*sqrt(2.*3.1415) *F*exp(asb*(Ttem-TQt)**2)
ctestc kt>zmax*qt
         elseif(QQt.ge.zmax*Qtem) then
            g0 = asb/S2asb*sqrt(2.*3.1415)*F
         elseif(QQt.lt.zmax*Qtem) then
            Pg1=asb*sqrt(2.*3.1415)/S2asb*DFREQ(zero)
            Pg2=asb*log(zmax*Qtem/QQt)
            g0 = Pg1+Pg2
         else
            write(6,*) ' this should never happen ',QQt,Qtem,zmax
         endif
c
         if(g0.ne.g0) then
           write(6,*) 'problem in  smzvalgg', g0
         endif
         gtot=g0+g1
c do the z weighting	
         BB = BBsave
         If (SMrgen(1)*gtot.le.g1) then
            znow=1.-exp(Ttem*((Tg/Ttem)**SMrgen(2)-1.))
            if(znow.gt.zmax) write(6,*) ' 1. smzvalgg: znow>zmax ',znow,zmax
		nsidx = 0
            z1=1.-znow            
	      wz = gtot/(asbold1/z1) 
	      gtotw = asbmy(scal*Qtem*(1.-znow))*Splitt(z1)*wz
         Else
            if(QQt.lt.zmax*Qtem) then
               If (SMrgen(4)*g0.gt.Pg1) then
                  xmin1 = QQt/Qtem
                  znow=xmin1*(zmax/xmin1)**SMrgen(5)
            if(znow.gt.zmax) write(6,*) ' 2. smzvalgg: znow>zmax ',znow,zmax
			nsidx = 3
               else
                  Nsoft=Nsoft+1
                  Ff=SMrgen(3)*DFREQ(zero)
                  If (Ff.lt.Fmin) then
                     znow=xmin*0.5
                     if(znow.gt.zmax) write(6,*) ' 3. smzvalgg: znow>zmax ',znow,zmax
                  Elseif (Ff.gt.Fmax) then
                     znow=zmax*Fmax
                     if(znow.gt.zmax) write(6,*) ' 4. smzvalgg: znow>zmax ',znow,zmax
                  Else
                     znow=QQt/Qtem*exp(DGAUSN(Ff)/S2asb)
                     if(znow.gt.zmax) then
                        write(6,*) ' 5. smzvalgg: znow>zmax ',znow,zmax,qqt,qtem,S2asb,asb
                        write(6,*) ' 5. smzvalgg: g0, g1 ',g0,g1,Ff,DGAUSN(Ff)        
                     endif
                  Endif
			nsidx =2
               Endif
            else
               Nsoft=Nsoft+1
               Ff=SMrgen(3)*F
               If (Ff.lt.Fmin) then
                  znow=xmin*0.5
               Elseif (Ff.gt.Fmax) then
                  znow=zmax*Fmax
               Else
                  znow=QQt/Qtem*exp(DGAUSN(Ff)/S2asb)
               Endif
		   nsidx = 1
            Endif
            if(znow.gt.zmax) then
              write(6,*) ' smzvalgg: z> zmax ',znow,' zmax ',zmax
              D_ns = 0
	  	  alp_dns = as * D_ns
              else
c Here apply the weight for the small z generation
		  Ismallz = 1
              zz = znow
              D_ns=	Nonsud(zz)
		  alp_dns = as * D_ns
	        wz = gtot/(asbold/znow*Nonsud0(zz))
	        gtotw = as*Splitt0(zz)*D_ns*wz 
            Endif 	
         Endif
      Endif	  

	if(znow.ne.znow) then
	  write(6,*) ' problem in szvalnew g0,g1:',g0,g1
        write(6,*) ' QQt,Qtem,zmax ',QQt,Qtem,zmax
	  endif
	  

	  
c calculate here g1_sudakov, for proper norm	
	slo=0.
	shi=1.
	eps=0.0001
	BB=0.5
	call gadap(slo,shi,g1p,eps,g1f)
	g1_sudak=g1f
c do the z weighting	
      BB = BBsave
      zz=znow
      if(gtotw.le.0) then
        write(6,*) ' smzvalgg: gtotw < 0 ',gtotw,g0,g1,wz
      endif
      wg = gtotw  /g1_sudak
      if(wg.le.0) then
        write(6,*) ' smzvalgg: wg < 0 ',gtotw,g1_sudak
       endif
c end new	
	if(wg.ne.wg) then
	  write(6,*) ' problem in szvalnew wg:',wg,znow
	  write(6,*) ' problem in szvalnew g0,g1:',g0,g1
        write(6,*) ' QQt,Qtem,zmax ',QQt,Qtem,zmax
	  wg=0.
	endif
      
      end
      
