	
      Subroutine updfgrid(iflag)
c obtain the unitegrated gluon density as a function of xg,kt**2
c in a grid

      Implicit none
      Integer       Nmongo,Nbin,Is,Js,Imax,Nsoft,Ifin,Jfin,Jev,
     & Nev,Maxpr,Ichg,Idq
      Logical       onel,tevol,hspot,powin,afix
      Double Precision xmin,xmax,ymin,ymax,Qmin,Qmax,Xini,Xnor,
     & Xfin,Xfi2,Sigtot,Sigto2,Sigto3,Mulsum,Mulsu2,Mulsu3,xgbar,
     & x0,xg,Wt,Wsig,Qval,yphton,yphbar,Sbig,Gluch,QQt,Qtem,Pmax,
     & Qg,Qs,Qx,Ts,QCDLam,Ttem,Tg,Tgg,Told,Capb,znow,wg,Excode,Wini,
     & pow0,pow1,xmp0,q0,a0,Xmjtrg,Ppjtrg,Ptjtrg,Thjtrg,umax,xymin,
     & emax,Qmas,Qbar,Qhard,me,p1,p2,q1,q2,p3,p4,pspec,espec,P
      Common/SMicom/Nmongo,Nbin,Is,Js,Imax,Nsoft,Ifin,Jfin,Jev,
     & Nev,Maxpr,Ichg,Idq
      Common/SMlcom/onel,tevol,hspot,powin,afix
      Common/SMrcom/xmin,xmax,ymin,ymax,Qmin,Qmax,Xini,Xnor,
     & Xfin,Xfi2,Sigtot,Sigto2,Sigto3,Mulsum,Mulsu2,Mulsu3,xgbar,
     & x0,xg,Wt,Wsig,Qval,yphton,yphbar,Sbig,Gluch,QQt,Qtem,Pmax,
     & Qg,Qs,Qx,Ts,QCDLam,Ttem,Tg,Tgg,Told,Capb,znow,wg,Excode,Wini,
     & pow0,pow1,xmp0,q0,a0,Xmjtrg,Ppjtrg,Ptjtrg,Thjtrg,umax,xymin,
     & emax,Qmas,Qbar,Qhard,me,p1(5),p2(5),q1(5),q2(5),p3(5),p4(5),
     & pspec(5),espec(5),P(8,0:1000)
C--P(*,I) is for the Ith branching:
C  P(1,I)=Qtx_i
C  P(2,I)=Qty_i
C  P(3,I)=Ql_i
C  P(4,I)=E_i
C  P(5,I)=M_i (+/- for time/spacelike)
C
C  P(6,I)=current full weight
C  P(7,I)=0. for spacelike, +/- parent for int./ext. timelike
C  P(8,I)=emitted transverse momentum qt_i


      Integer NMXHEP,NEVHEP,NHEP,ISTHEP,IDHEP,JMOHEP,JDAHEP
      Double Precision PHEP,VHEP,EVWGT
      PARAMETER (NMXHEP=4000)
      COMMON/HEPEVTP/NEVHEP,NHEP,ISTHEP(NMXHEP),IDHEP(NMXHEP),
     + JMOHEP(2,NMXHEP),JDAHEP(2,NMXHEP),PHEP(5,NMXHEP),VHEP(4,NMXHEP)
C---Event weight
C   N.B. weights must be renormalized to momentum sum
      COMMON/HEPWGT/EVWGT
	Double Precision BB
	Common /splitting/ BB
	Integer Ipgg,ns_sel
	Double Precision scal
	common/Pggsel/Ipgg,ns_sel,scal
      Double Precision tmax,p_max
      Common/mygrid/tmax,p_max
      Integer nobran,ikincut
      common/myvar/nobran,ikincut
	Double Precision Qbarmy,Qbar_min,Qbar_max
      Common/mglubran/Qbarmy,Qbar_min,Qbar_max
      Integer neve
	common/myevt/neve
      Double Precision sum
c	Integer nloop
c	common/myloop/nloop
	Double precision wt0
	common/myweight/wt0
c my variables
      Double Precision wt0my
      Double Precision xp2,xkt2,x_g,wtxg
c      common/cwnco1/xp2,xkt2,x_g,wtxg

      Integer Nbx,Nbk,Nbp
      Parameter (Nbx=50)
c      Parameter (Nbk=42)
      Parameter (Nbk=50)
c      Parameter (Nbk=1)
c      Parameter (Nbp=20)
      Parameter (Nbp=50)
      Double Precision X1(0:Nbx+2),X2(0:Nbk+2),X3(0:Nbp+2)
      Double Precision X1M(0:Nbx+1),X2M(0:Nbk+1),X3M(0:Nbp+1)
      Double Precision x1b(0:Nbx+1),x2b(0:Nbk+1),x3b(0:Nbp+1)
      Double Precision xgx(-4:4,0:Nbx,0:Nbk,0:Nbp)
	Double Precision xgx_f(-4:4,0:Nbx,0:Nbk,0:Nbp)
      Double Precision xm11(0:Nbx),xm21(0:Nbk),xm31(0:Nbp)
      Double Precision xm12(0:Nbx),xm22(0:Nbk),xm32(0:Nbp)
      Double Precision xm1(0:Nbx),xm2(0:Nbk),xm3(0:Nbp)
      Double Precision x3norm(-4:4,0:Nbp),x3normf(-4:4,0:Nbp),x3normN(-4:4,0:Nbp)
      Double Precision Val1,Val2,Val3
      Integer I,J,K,Iflag,Irr,Err
      Integer ix1,ix2,ix3
      double Precision nval2,Nrejx1,Nrejx2
      Double Precision x1minL,x1maxL,x1dif,x2dif,x3dif
      Double Precision x1minlin,x1maxlin,xcheck
      Integer NbxL,Nbxlin
      Double Precision x2minL,x2maxL,q2min,q2max,p3max,p3min
      Double Precision Xgnorm,Xgn,xgmy,wtmy,Xnormtest
c limits
      Double Precision x1min,x1max,x2min,x2max,x3min,x3max
      Double Precision x1dm,x2dm,x3dm
	Double Precision x3lmin,x3lmax,x3ldif
	Double Precision Qgmin,Xin
      CHARACTER   FILNAME*132
      Common/gludatf/filname
      Integer Kid
      Common /SMbran1/Kid(0:1000)
	Integer ki
	Integer nold
	Double Precision kt2
      LOGICAL ex
	data nold/1/
	Integer iprint
	Data iprint/0/
      Double precision ininorm(-6:6)
      common/smininorm/ininorm
      
      Double precision ncount0, ncount3
      
c      write(6,*) ' updfgrid ',iflag
	
      If(iflag.eq.1) Then
	   do ki=-4,4
	    do k=0,nbp
	     x3norm(ki,k) = 0.
	     x3normf(ki,k) = 0.
	     x3normN(ki,k) = 0.
	    enddo
	   enddo

c initilaze grid
	   x1min = xmin
         xcheck = 0.1
         x1max=xmax
c log grid up to 0.1
         x1max = xcheck
         x1minL=log(x1min)
         x1maxL=log(x1max)
         Nbxlin = 10
         NbxL = Nbx-Nbxlin
         x1dif=(x1maxL-x1minL)/Real(NbxL)
         Do I=0,NbxL
            x1(I) = x1minL + x1dif*Real(I)
         Enddo
c lin grid in x from 0.1 - 1
         x1minlin=xcheck
         x1maxlin=1.0d0
         x1dif=(x1maxlin-x1minlin)/Real(Nbxlin)
         Do I=NbxL,NbxL+Nbxlin+1
            x1(I) = log(x1minlin + x1dif*Real(I-NbxL))
         Enddo


	   Do I=0,NbxL+Nbxlin+1
            x1m(I) = (x1(i) + x1(i+1))/2.
            x1b(i) = x1(i+1) - x1(i)
c		write(6,*) ' log(x) bins x',i,exp(x1(i)),exp(x1b(i))
c		write(6,*) '  bins x',i,exp(x1(i)),x1(i),x1b(i)
         Enddo


c parameters for updfgrid:
         q2min = 0.001 ! new
         q2max = qmax**2/4.
c
	   x2minL=log(q2min)
	   x2maxL=log(q2max)
	   x2dif=(x2maxL-x2minL)/real(nbk)
         Do I=0,Nbk+1
            x2(I) = x2minL + x2dif*Real(I)
	   Enddo
	   Do I=0,Nbk
            x2m(I) = (x2(i) + x2(i+1))/2.
            x2b(i) = x2(i+1) - x2(i)
c		write(6,*) ' log(kt2) bins ',i,x2m(i),exp(x2m(i))
         Enddo
c p_max
         Qgmin = max(Qg,QCDlam)
         p3min=Qgmin
	   p3max=Qmax
	   x3lmin=log(p3min)
	   x3lmax=log(p3max)
c	   write(6,*) ' p3min,p3max ',p3min,p3max,x3lmin,x3lmax
	   x3ldif = (x3lmax-x3lmin)/Real(Nbp)	
	   write(6,*) ' updfgrid-test: xl3dif ',x3ldif
         Do I=0,Nbp+1
            x3(I) = x3lmin + x3ldif*Real(I)
c	    write(6,*) ' updfgrid-test: Qbar bins = ',exp(x3(i)),I
         Enddo
	   Do I=0,Nbp
	      x3m(i) = (x3(i) + x3(i+1))/2.
		x3b(i) = x3(i+1) - x3(i)
c		write(6,*) ' log(p) bins ',i,x3b(i),x3m(i)
         Enddo
	
         Qbar_min=x3(0)
	   Qbar_max=x3(Nbp)
c zero xg
         Do ki=1,2
         Do I=0,Nbx
            Do J=0,Nbk
               Do K=0,Nbp
                  xgx(ki,I,J,K)=0.
                  xgx_f(ki,I,J,K)=0.
               Enddo
            Enddo
         Enddo
         Enddo
         Xgnorm = 0.
         Xgn = 0.
      Elseif(iflag.eq.2) Then
c fill in values
         xgmy = xg
         wtmy = wt
         Val1 = log(xgmy)
	
         kt2=P(1,Ifin)**2+P(2,Ifin)**2
         Val2 = log(kt2)
         x_g=xgmy
         wtxg=wtmy*xgmy
c new test
         xp2 = p_max	
         Val3 = log(xp2)
         If(Val3.lt.x3(0)) Then
            write(6,*) ' val3 = ',val3,' too low: x3(0) = ',x3(0),p_max
            Val3 = x3(0)
         elseif(val3.gt.x3(Nbp+1)) Then
               return
         endif
	   if(kid(Ifin).eq.21) then
	      ki=0
            ncount0 = ncount0 + 1
	      else
	      ki=kid(ifin)
            if(ki.eq.3) ncount3 = ncount3 + 1
c            write(6,*) ki 
	   Endif
         
         
         ix3=-1
   40    ix3 = ix3 + 1
         if(ix3.gt.Nbp) then
            write(6,*) ' ix3 outside grid ',ix3,Nbp
         else
            if(val3.gt.x3(ix3+1)) then 
c		write(6,*) ' updfgrid ',ix3,x3(ix3),val3
            goto 40
            endif
         Endif

         if(wt0.gt.0) then
            wt0my = wt0
          else
            wt0my=1.
         endif
	   x3normN(ki,ix3) = x3normN(ki,ix3) + 1.
c norm to flavor sum rule at each scale 
	   x3normf(ki,ix3) = x3normf(ki,ix3) + wtmy
c norm to momentum sum rule at each scale 
         x3norm(ki,ix3) = x3norm(ki,ix3) + xgmy*wtmy
	      
	   Xin = Xin + x0
	   if (Excode.ne.0) then
c            write(6,*) ' updfgrid return: Excode = ',Excode 
            return
         endif
         If (Wini.eq.0.0) then
            write(6,*) ' updfgrid return: Wini = 0 ',Wini
            return
         endif
	   
	   
         If(Val1.lt.x1(0)) Then
            write(6,*) ' val1 = ',val1,' too low: x1(0) = ',x1(0)
            Nrejx1 = Nrejx1 + 1
            Val1 = x1(0)
            return
         elseif(val1.gt.x1(Nbx+1)) Then
            write(6,*) ' val1 = ',val1,' too high: x1(Nbx) = ',x1(Nbx+1)
            Val1 = x1(Nbx+1)
		return
         endif
 	   
         ix1=-1
   20    ix1 = ix1 + 1
         if(ix1.gt.Nbx) then
            write(6,*) ' ix1 outside grid ',ix1,Nbx
         else
            if(val1.gt.x1(ix1+1)) goto 20
         Endif
         If(Val2.lt.x2(0)) Then
c            write(6,*) ' val2 = ',val2,' too low: x2(0) = ',x2(0)
            Val2 = x2(0)
		return
         elseif(val2.gt.x2(Nbk+1)) Then
            nval2 = nval2 + 1
            if(nval2.lt.10) then
c               write(6,*) ' val2 = ',val2,' too high: x2(Nbk) = ',x2(Nbk+1)
            endif
            Val2 = x2(Nbk+1)
		Nrejx2 = Nrejx2 + 1
            return
         endif
         ix2=-1
   30    ix2 = ix2 + 1
         if(ix2.gt.Nbk) then
            write(6,*) ' ix2 outside grid ',ix2,Nbk
         else
            if(val2.gt.x2(ix2+1)) goto 30
         Endif
         

	   xgx(ki,ix1,ix2,ix3)= xgx(ki,ix1,ix2,ix3) + wtmy

         Xgn = Xgn + wtmy*xgmy

      Elseif(iflag.eq.3) Then
c xgx defined here is actually g(x)
c corresponds: d g(x)/dlnx = x dg(x)/dx
         if(iprint.eq.1) then
           write(6,*) Xgn,x1dif,Xgnorm,x1maxL,x1minL,Nbx
c           write(6,*) 'ncall=',ncall(ki)
	     write(6,*) ' rej x1 cut ',Nrejx1,' rej x2 cut ',Nrejx2
c	     write(6,*)  ' xgn/ncall =',xgn/real(ncall(1))
	     write(6,*) ' updfgrid: X3norm = ',(X3norm(1,i),i=0,Nbp)
	   endif
c

c         write(6,*) ' conuts ', ncount0,ncount3
         Do ki = -4,4
            Xnormtest = 0.
            write(6,*) ' ininorm :',ininorm(ki),ki
         
            Do K = 0, Nbp
              Xnormtest = max(x3norm(ki,k),1.)
              if(ki.eq.1) then
                 Xgnorm = 1./max(x3normf(ki,k),1.d0)
              elseif(ki.eq.2) then
                 Xgnorm = 2./max(x3normf(ki,k),1.d0)                   
              elseif(abs(ki).eq.3) then
                 Xgnorm = ininorm(ki)/(0*max(x3normN(0,k),1.d0)+max(x3normN(3,k),1.d0))              
		  else
                 Xgnorm = ininorm(ki)/(max(x3normN(0,k),1.d0)+0*max(x3normN(3,k),1.d0))              
		  endif
              write(6,*) ' check ',ki,k,x3norm(ki,k)/max(x3normN(ki,k),1.d0),
     &                     x3normf(ki,k)/max(x3normN(ki,k),1.d0),x3normN(ki,k)
              Do I = 0,Nbx
                 Do J = 0,Nbk
                    sum = 0
                    xgx_f(ki,I,J,K) = xgx(ki,I,J,K)/x2b(j)/x1b(i)*Xgnorm
                 Enddo
              Enddo
            Enddo
         Enddo
c print out table
c         write(6,*) ' *********************************************** '
c         write(6,*) ' ******        xA(x,kt**2,p)              ****** '
c         write(6,*) ' *********************************************** '
c         write(6,*) '|   ln(xg)  |  ln(k_t^2)  |   ln(p)  |   xA     |'
c         write(6,*) ' *********************************************** '
c         write(30,*) ' Qg0 = ',Qg,' ikincut= ',ikincut
c         write(30,*) ' ln(xg),  ln(k_t^2), ln(p),  xgx'
         inquire(FILE=filname,EXIST=ex)
         write(6,*) ' updfgrid-test: filename ',filname,ex
         if(ex) then
            open(30,FILE=filname, FORM='formatted',STATUS=
     +      'old',IOSTAT=IRR,ERR=50 )
            else
            open(30,FILE=filname, FORM='formatted',STATUS=
     +      'new',IOSTAT=IRR,ERR=50 )
	   Endif
	   write(30,10000) Qg,ikincut
10000    format(' Qg0 = ',f12.8,' ikincut= ',I6)
         write(30,10001) Ipgg,ns_sel
10001    format(' Ipgg = ',I4,' ns_sel = ',I4)
         write(30,10002) QCDlam
10002    format(' QCDlam = ',f12.8)
         
         write(30,10100)
10100    format(' ln(xg),  ln(k_t^2), ln(p),  xgx')

c write output to file

         do j=0,Nbk
            do i=0,Nbx
               do k=0,Nbp
                  write(30,*) x1(i),x2(j),x3(k),(xgx_f(ki,I,J,K),ki=-4,4)
               enddo
            enddo
         enddo
         close(30)
        
         If(iprint.eq.1) then
            write(6,*) nbx,nbk,nbp
            write(6,*) ' updfgrid: after before close '
	   endif
      Endif
      Return
   50 write(6,*) ' updfgrid error opening file',filname
      Return
  100     format(' |',E12.4,' | ',F8.5,' | ',F8.5,' | ',F8.5,' |')
      End
